#ifndef __WNDTITLEBAR_H
#define __WNDTITLEBAR_H

#include <string>
#include <libicq2000/Client.h>
#include <vdr/osd.h>
#include <vdr/menuitems.h>
#include "Window.h"

using namespace std;

class cVdrIcqOsd;
class SimpleClient;
class cStatusbarWnd;


class cTitlebarWnd : public cWnd
{
public:
	cTitlebarWnd(int iLeft, int iTop, int iWidth, int iHeight, int iBpP, cOsd *pOsd, 
               cVdrIcqOsd *pVdrIcqOsd, SimpleClient  *pIcqClient);
	~cTitlebarWnd();


  tArea GetArea1(void);
  tArea GetArea2(void);
  eOSState ProcessKey(eKeys Key);
	void Draw(void);
  void SetTitleColors(tColor TitleColor, tColor TitleBGColor);
	void SetTitleText(string Text);
  void SetStatus(ICQ2000::Status eStatus);
  void SetStatusbarWnd(cStatusbarWnd *pStatusbarWnd) { m_pStatusbarWnd = pStatusbarWnd; }
  void Takt(void);

private:
  void SetHelpKeys(void);

private:
  tArea           m_Area1;
  tArea           m_Area2;
  cOsd          *m_pOsd;
  cVdrIcqOsd      *m_pVdrIcqOsd;
  SimpleClient    *m_pIcqClient;
  cStatusbarWnd   *m_pStatusbarWnd;
  tColor          m_TitleColor;
  tColor          m_TitleBGColor;
  string          m_TitleText;
  ICQ2000::Status m_eStatus;
  int             m_SelectedStatusPage;
  bool            m_bTakt;
  bool            m_bInfoVisible;
};


#endif // __WNDTITLEBAR_H
